Bug 828191 - Autodiscovery for Drools application does not work
Autodiscovery for Drools application does not work
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- BRMS 5 (Show other bugs)
JON 3.1.0
i386 Linux
urgent Severity urgent
: ---
: JON 3.1.0
Assigned To: RHQ Project Maintainer
Mike Foley
Depends On:
  Show dependency treegraph
Reported: 2012-06-04 08:39 EDT by Pavel Kralik
Modified: 2013-07-29 13:46 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-06-06 12:10:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
JON 3.1.0.CR1 logs (57.59 KB, application/x-gzip)
2012-06-04 08:39 EDT, Pavel Kralik
no flags Details

  None (edit)
Description Pavel Kralik 2012-06-04 08:39:36 EDT
Created attachment 589135 [details]
JON 3.1.0.CR1 logs

When monitoring the Drools example (BRMS 5.2.0.GA, BRMS 5.3.0.ER6/8) application with JON 3.1.0.CR1, the application cannot be autodiscovered, just manually added for the platform.
Upgrade from JON 3.0.1.GA to JON 3.1.0.CR1 works.

Version-Release number of selected component (if applicable):

JON 3.0.1.GA/3.1.0.CR1

How reproducible:


Steps to Reproduce:
1. Install the JON 3.1.0.CR1 server and with the BRMS plugin

2. Run a drools-jon-example application


with ant compile; ant server
     ant client.phase1; ant client.phase2

3. Try to autodiscover the application.

Actual results:

Autodiscovery fails.

Expected results:

The application is discovered.

Additional info:
Comment 2 Mike Foley 2012-06-04 09:38:11 EDT
I have sent an email to have this triaged at the Monday 6/4/2012 Triage Meeting with ccrouch, asantos, loleary, myarborough, and ckannan.
Comment 3 Mike Foley 2012-06-04 10:02:22 EDT
<ccrouch> mfoley: re: https://bugzilla.redhat.com/show_bug.cgi?id=828191 it sounds like a bug in the drools plugin

Len ... can you investigate/escalate with the plugin developers?
Comment 4 Mike Foley 2012-06-04 11:37:32 EDT
BZ triage 6/4/2012.

asantos, loleary, ccrouch, mfoley .... 

we need a fix for this by 6/6.   if the fix is in by then ... then it will be included in jon 3.1.  otherwise non-blocking for jon 3.1 GA
Comment 7 Pavel Kralik 2012-06-05 04:42:37 EDT
Steps to get Drools application running:

1) Checkout the drools application
2) Download the BRMS deployable zip file:

BRMS 5.3.0.ER8:

BRMS 5.2.0.GA:

3) unzip brms-p-5.2.*-deployable.zip
4) unzip jboss-brms-engine.zip
5) Create link from binaries to drools-jon-example/drools
6) Run the application:
     ant compile; ant server
     ant client.phase1; ant client.phase2
7) Try to monitor with Jconsole and JON
Comment 8 tcunning 2012-06-06 12:10:33 EDT
The sample app here seems to be the issue.     Pavel and I tried using the drools-jbpmintegration Broker application : 


with the following sys properties added :
-Dcom.sun.management.jmxremote -Dcom.sun.management.jmxremote.port=6002 -Dcom.sun.management.jmxremote.authenticate=false -Dcom.sun.management.jmxremote.ssl=false

and the app was discovered under JMX Servers.

Note You need to log in before you can comment on or make changes to this bug.